MinMaxExtension

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.misc
Class MinMaxExtension

    java.lang.Object
      weka.classifiers.Classifier
          weka.classifiers.misc.MinMaxExtension

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CapabilitiesHandler, OptionHandler, RevisionHandler, TechnicalInformationHandler

    public class MinMaxExtension

extends Classifier
implements TechnicalInformationHandler

This class is an implementation of the minimal and maximal extension.
All attributes and the class are assumed to be ordinal. The order of the ordinal attributes is determined by the internal codes used by WEKA.
Further information regarding these algorithms can be found in:
S. Lievens, B. De Baets, K. Cao-Van (2006). A Probabilistic Framework for the Design of Instance-Based Supervised Ranking Algorithms in an Ordinal Setting. Annals of Operations Research..
Kim Cao-Van (2003). Supervised ranking: from semantics to algorithms.
Stijn Lievens (2004). Studie en implementatie van instantie-gebaseerde algoritmen voor gesuperviseerd rangschikken.
For more information about supervised ranking, see
http://users.ugent.be/~slievens/supervised_ranking.php

BibTeX:

     @article{Lievens2006,
        author = {S. Lievens and B. De Baets and K. Cao-Van},
        journal = {Annals of Operations Research},
        title = {A Probabilistic Framework for the Design of Instance-Based Supervised Ranking Algorithms in an Ordinal Setting},
        year = {2006}
     }

     @phdthesis{Cao-Van2003,
        author = {Kim Cao-Van},
        school = {Ghent University},
        title = {Supervised ranking: from semantics to algorithms},
        year = {2003}
     }

     @mastersthesis{Lievens2004,
        author = {Stijn Lievens},
        school = {Ghent University},
        title = {Studie en implementatie van instantie-gebaseerde algoritmen voor gesuperviseerd rangschikken},
        year = {2004}
     }

Valid options are:

     -D
      If set, classifier is run in debug mode and
      may output additional info to the console

     -M
      Use maximal extension (default: minimal extension)

Version:
  $Revision: 1.2 $
Author:
  Stijn Lievens (stijn.lievens@ugent.be)
See Also:
  Serialized Form

Constructor Summary
`MinMaxExtension()`

Method Summary
`void` | `buildClassifier(Instances instances)` Builds the classifier.
`double` | `classifyInstance(Instance instance)` Classifies the given instance.
`Capabilities` | `getCapabilities()` Returns default capabilities of the classifier.
`boolean` | `getMinMaxExtension()` Return if the minimal extension is in effect.
`java.lang.String[]` | `getOptions()` Gets the current settings of this classifier.
`java.lang.String` | `getRevision()` Returns the revision string.
`TechnicalInformation` | `getTechnicalInformation()` Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
`java.lang.String` | `globalInfo()` Returns a string describing the classifier.
`java.util.Enumeration` | `listOptions()` Produces an enumeration describing the available options for this classifier.
`static void` | `main(java.lang.String[] args)` Main method for testing this class and for using it from the command line.
`java.lang.String` | `minMaxExtensionTipText()` Returns the tip text for this property.
`void` | `setMaxExtension()` After calling this method, the next classification will use the maximal extension.
`void` | `setMinExtension()` After calling this method, the next classification will use the minimal extension.
`void` | `setMinMaxExtension(boolean min)` Chooses between the minimal and maximal extension of the algorithm.
`void` | `setOptions(java.lang.String[] options)` Parses the options for this object.
`java.lang.String` | `toString()` returns a string representation of this classifier

Methods inherited from class weka.classifiers.Classifier
`debugTipText, distributionForInstance, forName, getDebug, makeCopies, makeCopy, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MinMaxExtension

    public MinMaxExtension()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing the classifier.

  Returns:
    a description suitable for displaying in the explorer/experimenter gui

### getTechnicalInformation

    public TechnicalInformation getTechnicalInformation()

  Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

  Specified by:
    `getTechnicalInformation` in interface `TechnicalInformationHandler`
  Returns:
    the technical information about this class

### getCapabilities

    public Capabilities getCapabilities()

  Returns default capabilities of the classifier.

  Specified by:
    `getCapabilities` in interface `CapabilitiesHandler`
  Overrides:
    `getCapabilities` in class `Classifier`
  Returns:
    the capabilities of this classifier
  See Also:
    `Capabilities`

### buildClassifier

    public void buildClassifier(Instances instances)
                         throws java.lang.Exception

  Builds the classifier. This is in fact nothing else than copying the given instances.

  Specified by:
    `buildClassifier` in class `Classifier`
  Parameters:
    `instances` - the training examples
  Throws:
    `java.lang.Exception` - if the classifier is not able to handle the `instances` .

### classifyInstance

    public double classifyInstance(Instance instance)

  Classifies the given instance.

  Overrides:
    `classifyInstance` in class `Classifier`
  Parameters:
    `instance` - the instance to be classified
  Returns:
    a double representing the internal value of the label that is assigned to the given instance

### setMinExtension

    public void setMinExtension()

  After calling this method, the next classification will use the minimal extension.

### setMaxExtension

    public void setMaxExtension()

  After calling this method, the next classification will use the maximal extension.

### minMaxExtensionTipText

    public java.lang.String minMaxExtensionTipText()

  Returns the tip text for this property.

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### getMinMaxExtension

    public boolean getMinMaxExtension()

  Return if the minimal extension is in effect.

  Returns:
    `true` if the minimal is in effect, `false` otherwise

### setMinMaxExtension

    public void setMinMaxExtension(boolean min)

  Chooses between the minimal and maximal extension of the algorithm. If `min` is `true` then the minimal extension wil be in effect, otherwise it will the maximal extension.

  Parameters:
    `min` - do we choose the minimal extension

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses the options for this object.

  Valid options are:

       -D
        If set, classifier is run in debug mode and
        may output additional info to the console

       -M
        Use maximal extension (default: minimal extension)

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `Classifier`
  Parameters:
    `options` - an array of strings containing the options for the classifier
  Throws:
    `java.lang.Exception` - if

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of this classifier.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `Classifier`
  Returns:
    an array of strings suitable for passing to `setOptions`

### listOptions

    public java.util.Enumeration listOptions()

  Produces an enumeration describing the available options for this classifier.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `Classifier`
  Returns:
    an enumeration with the available options.

### toString

    public java.lang.String toString()

  returns a string representation of this classifier

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the classname

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Returns:
    the revision

### main

    public static void main(java.lang.String[] args)

  Main method for testing this class and for using it from the command line.

  Parameters:
    `args` - array of options for both the classifier `MinMaxExtension` and for `evaluateModel`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD